%global download_id 366
Name:		gse2mseed
Version:	1.12
Release:	2%{?dist}
License:	GPLv2+
Summary:	Convert GSE 2.x and IMS 1.0 time series data to miniSEED
Url:		https://seiscode.iris.washington.edu/projects/gse2mseed
Group:		Applications/File
Source0:	https://seiscode.iris.washington.edu/attachments/download/%{download_id}/gse2mseed-%{version}.tar.gz

BuildRequires:	libmseed-devel >= 2.12

%description
Convert GSE 2.x and IMS 1.0 time series data to miniSEED.

The GSE samples may be in either INT and CM6 formats.


%prep
%setup -q -n %{name}


%build
pushd src
# Disable internal library copy by overriding REQCFLAGS and LDFLAGS
make %{?_smp_mflags} \
	CC=gcc CFLAGS="%{optflags}" \
	REQCFLAGS='' LDFLAGS='' \
	all
popd


%install
mkdir -p %{buildroot}%{_bindir}
cp -p gse2mseed %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp -p doc/*.1 %{buildroot}%{_mandir}/man1/


%files
%doc README ChangeLog
%{_bindir}/gse2mseed
%{_mandir}/man1/*

%changelog
* Thu Feb 18 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.12-2
- Rebuild for Rawhide

* Thu Aug 21 2014 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.12-1
- Initial package release
